Bug 1654268 - ODL + Octavia deployment - Could not find resource octavia-amphora-14.0-20181126.1.x86_64
Summary: ODL + Octavia deployment - Could not find resource octavia-amphora-14.0-20181...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-octavia
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Assaf Muller
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 11:23 UTC by Noam Manos
Modified: 2019-09-10 14:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 21:36:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
OSP14 Octavia + ODL deployment failed (50.53 KB, text/plain)
2018-11-28 11:23 UTC, Noam Manos
no flags Details

Description Noam Manos 2018-11-28 11:23:08 UTC
Created attachment 1509448 [details]
OSP14 Octavia + ODL deployment failed

Description of problem:
Adding octavia.yaml (tripleo-heat-template) in overcloud_deploy.sh of ODL deployment, fails on:
Could not find resource octavia-amphora-14.0-20181126.1.x86_64

Version-Release number of selected component (if applicable):
OSP14 2018-11-27.1

How reproducible:


Steps to Reproduce:
1. Deploy ODL + Octavia with this overcloud_deploy.sh:

#!/bin/bash

openstack overcloud deploy \
--timeout 100 \
--templates /usr/share/openstack-tripleo-heat-templates \
--stack overcloud \
--libvirt-type kvm \
--ntp-server clock.redhat.com \
-e /home/stack/virt/config_lvm.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
-e /home/stack/virt/network/network-environment.yaml \
-e /home/stack/virt/inject-trust-anchor.yaml \
-e /home/stack/virt/hostnames.yml \
-e /home/stack/virt/debug.yaml \
-e /home/stack/virt/config_heat.yaml \
-e /home/stack/virt/nodes_data.yaml \
--environment-file /usr/share/openstack-tripleo-heat-templates/environments/services/neutron-opendaylight.yaml \
-e ~/containers-prepare-parameter.yaml \
-e /home/stack/virt/log_levels/netvirt_genius_debug.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/services/octavia.yaml \
--log-file overcloud_deployment.log


# You can use redeploy with this Jenkins job:
https://rhos-qe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/DFG-opendaylight-odl-netvirt-14_director-rhel-virthost-3cont_2comp-ipv4-vxlan-ha-tempest/198/parameters/


Actual results:
TASK [octavia-undercloud : check there an image in glance already]
FAILED! => 
Could not find resource octavia-amphora-14.0-20181126.1.x86_64

Expected results:
ODL + Octavia deployment passed.

Additional info:

More job logs and artifacts:
http://cougar11.scl.lab.tlv.redhat.com/DFG-opendaylight-odl-netvirt-14_director-rhel-virthost-3cont_2comp-ipv4-vxlan-ha-tempest/198/undercloud-0.tar.gz?undercloud-0/home/stack

Comment 1 Carlos Goncalves 2018-11-28 21:36:35 UTC
Overcloud was deployed successfully. The error message you see is a check to assert existence of an amphora image already in Glance. While the Ansible task itself fails, it got rightfully ignored and the overcloud deployment went on and finished fine:


Tuesday 27 November 2018  15:18:27 -0500 (0:00:00.201)       0:43:21.372 ****** 
=============================================================================== 

Ansible passed.
Overcloud configuration completed.
Overcloud Endpoint: http://10.0.0.101:5000
Overcloud Horizon Dashboard URL: http://10.0.0.101:80/dashboard
Overcloud rc file: /home/stack/overcloudrc
Overcloud Deployed


Note You need to log in before you can comment on or make changes to this bug.